Understanding Society User Support - Support #774

Merging BHPS and Understanding Society stata
05/04/2017 11:51 AM - Sonia Turrero

Status: Closed Start date: 05/04/2017
Priority: Normal % Done: 100%
Assignee: Sonia Turrero

Category: Data management

Description

Good morning,

we are working on our Master project using BHPS panel data, and we wanted to add the Understanding Society database to
increase our panel. But we cannot find the way to merge both types of datasets. We though PID was an unique identificator and did
not change in the two different surveys, but we have no single individual in wave 2 of Understanding Society that coincides with any
individual in any wave 14 - 18 of BHPS. | am sure we are missunderstanding something, so it would be great if we could get some
help on this. | am sending a file in which it is explained how to merge them: at the end of page 2 it says:

It is very easy to identify the BHPS sample members in Understanding Society as the unique cross-wave person identifiers in the
BHPS, pid, are provided with each UKHLS data file (in Wave 2).

We would be very grateful if we could get some advice on how to keep on with this.

Thank you so much in advance.

History

#1 - 05/04/2017 12:50 PM - Gundi Knies
- File usersupport_no774.log added

- Category set to Data analysis

- Status changed from New to In Progress
- Assignee set to Sonia Turrero

- Priority changed from Urgent to Normal

- % Done changed from 0 to 50

Hi Sonia,

in general terms, | cannot confirm your finding that none of the BHPS members in Wave 14-18 are included in Understanding Society Wave 2. | have
checked using a simple mini programme that merges BHPS sample members in UKHLS Wave 2 with individuals in BHPS W14, see log file attached.
| would not expect to see very different numbers of matches for other waves of BHPS data.

We can only speculate why you find no matches. Perhaps you have implemented strict sample restrictions on the BHPS before trying to merge to
Understanding Society w2 cases? Then the mismatches may be genuine, in that none of the people you wish to track participated in the UKHLS. But
there may be other issues with your code/ data generation.

Hope this helps,
Gundi

#2 - 05/04/2017 01:11 PM - Victoria Nolan

- Private changed from Yes to No

#3 - 05/04/2017 06:18 PM - Sonia Turrero

Good afternoon, thank you for your answer,
we are using the files Xindresp, may they be different than Xindall in that sense?
Thank you very much again,

Sonia

#4 - 05/04/2017 08:03 PM - Gundi Knies

Hi Sonia,
my log file shows two diffrent data merges: once using indall and once using indresp. Both show that there are matches. You'll have to check your
programme step by step to identify the source of perfect mismatch in your data.

#5 - 05/18/2017 09:41 AM - Victoria Nolan

- Status changed from In Progress to Feedback
Dear Sonia,
We'd just like to check whether there's anything else we can help you with, before closing this issue - please let us know.
Many thanks.

#6 - 05/18/2017 10:39 AM - Sonia Turrero

Good morning,
Everything is good. We were just using the wrong pid variable. Thank you so much for your time.

Kind regards

#7 - 05/18/2017 10:43 AM - Victoria Nolan
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

Thanks for letting us know, best wishes, Victoria.

#8 - 09/01/2023 02:47 PM - Understanding Society User Support Team

- Category changed from Data analysis to Data management

Files

Merging BHPS and UnderstandingSociety stata files.pdf 807 KB 05/04/2017 Sonia Turrero
